## ros-kinetic-chomp-motion-planner 0.9.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(chomp_motion_planner)

add_definitions(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  moveit_core
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/chomp_cost.cpp
  src/chomp_parameters.cpp
  src/chomp_trajectory.cpp
  src/chomp_optimizer.cpp
  src/chomp_planner.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-chomp-motion-planner (0.9.18-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 23 Jan 2020 23:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.17-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.16-1xenial) xenial; urgency=high

  * [maintanance] Cleanup Chomp packages (#1282 <https://github.com/ros-planning/moveit/issues/1282>, #1221 <https://github.com/ros-planning/moveit/issues/1221>)
  * [maintanance] Fix clang issues (#1233 <https://github.com/ros-planning/moveit/issues/1233>, #1214 <https://github.com/ros-planning/moveit/issues/1214>)
  * [fix]         Set last_state only for active joints in chomp_planner (#1222 <https://github.com/ros-planning/moveit/issues/1222>)
  * Contributors: Michael Görner, Robert Haschke, Shingo Kitagawa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jun 2019 22:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.15-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 28 Oct 2018 23:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.14-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.13-1xenial) xenial; urgency=high

  * [fix] Eigen alignment issuses due to missing aligned allocation (#1039 <https://github.com/ros-planning/moveit/issues/1039>)
  * [fix] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [fix] changelogs: migration from tf -> tf2 only accidentally became part of 0.9.12's changelog
  * [capability] Addition of CHOMP planning adapter for optimizing result of other planners (#1012 <https://github.com/ros-planning/moveit/issues/1012>)
  * [capability] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability] cleanup of unused parameters and code + addition of trajectory initialization methods (linear, cubic, quintic-spline) (#960 <https://github.com/ros-planning/moveit/issues/960>)
  * Contributors: Adrian Zwiener, Raghavender Sahdev, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.12-1xenial) xenial; urgency=high

  * [fix] for chomp fixed base joint bug (#870 <https://github.com/ros-planning/moveit/issues/870>)
  * [maintenance] switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Contributors: Bence Magyar, Dave Coleman, Ian McMahon, Mike Lautman, Xiaojian Ma

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 28 May 2018 22:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.11-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 24 Dec 2017 23:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.10-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 08 Dec 2017 23:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.9-1xenial) xenial; urgency=high

  * [improve] Chomp use PlanningScene (#546 <https://github.com/ros-planning/moveit/issues/546>) to partially address #305 <https://github.com/ros-planning/moveit/issues/305>
  * Contributors: Simon Schmeisser

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 05 Aug 2017 22:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.8-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 20 Jun 2017 22:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.7-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 04 Jun 2017 22:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.6-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 11 Apr 2017 22:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.5-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 07 Mar 2017 23:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.4-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 05 Feb 2017 23:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.3-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 15 Nov 2016 23:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.2-1xenial) xenial; urgency=high

  * [Maintenance] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman, Isaac I.Y. Saito

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 04 Nov 2016 23:00:00 -0000

ros-kinetic-chomp-motion-planner (0.9.0-1xenial) xenial; urgency=high

  * Use shared_ptr typedefs in collision_distance_field and chomp.
  * Fix CHOMP planner and CollisionDistanceField (#155 <https://github.com/ros-planning/moveit/issues/155>)
    * Copy collision_distance_field package
    * Resurrect chomp
    * remove some old Makefiles and manifests
    * Correct various errors
    * Code formatting, author, description, version, etc
    * Add definitions for c++11. Nested templates problem.
    * Add name to planner plugin.
    * Change getJointModels to getActiveJointModels.
    * Call robot_state::RobotState::update in setRobotStateFromPoint.
    * Create README.md
    * Improve package.xml, CMake config and other changes suggested by jrgnicho.
    * Remove some commented code, add scaling factors to computeTimeStampes
    * Add install targets in moveit_experimental and chomp
    * Add install target for headers in chomp pkgs.
    * Remove unnecessary debugging ROS_INFO.
    * Port collision_distance_field test to indigo.
    * Remove one assertion that makes collision_distance_field test to fail.


=== debian/control ===
Source: ros-kinetic-chomp-motion-planner
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-moveit-core, ros-kinetic-roscpp
Homepage: http://ros.org/wiki/chomp_motion_planner
Standards-Version: 3.9.2

Package: ros-kinetic-chomp-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: chomp_motion_planner

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-chomp-motion-planner//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
